<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning" xmlns:sdg="http://data.europa.eu/p4s"
	targetNamespace="http://data.europa.eu/p4s" elementFormDefault="qualified" vc:minVersion="1.1">

	<?DESCRIPTION "Generic metadata profile from the SDGv1.0.0 snapshot schema."?>
	<?VERSION "1.0.0"?>

	<xs:complexType name="AgentType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element ref="sdg:Name" minOccurs="1" maxOccurs="unbounded"/>
			<!-- minOccurs="1" maxOccurs="unbounded"  -->
			<xs:element name="Address" type="sdg:AddressType" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
			<xs:element name="Jurisdiction" type="sdg:JurisdictionType" minOccurs="0"/>

			<!-- CODELIST Value Agent Classification / Authority: OOTS, Classification is used to distinguish between EvidenceProvider / EvidenceRequester and Intermidiary Platform. -->
			<xs:element name="Classification" type="sdg:CodeType" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="ReferenceFrameworkType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element ref="sdg:Title" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element ref="sdg:Description" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="RelatedTo" type="sdg:ReferenceFrameworkType" minOccurs="0" maxOccurs="unbounded"/>
			<!-- maxOccurs="unbounded" -->
			<xs:element ref="sdg:Jurisdiction" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="JurisdictionType">
		<xs:sequence>

			<!-- CODELIST Value (Country codes) / Authority: ISO 3166 -->
			<xs:element name="AdminUnitLevel1" type="sdg:CodeType"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<!-- CODELIST Value (NUTS) / Authority: Publication's Office -->
			<xs:element name="AdminUnitLevel2" type="sdg:CodeType" minOccurs="0"/>
			<!-- maxOccurs="1" -->
			<!-- CODELIST Value (LAU) Local Administrative Units / Authority: Publication's Office -->
			<xs:element name="AdminUnitLevel3" type="sdg:CodeType" minOccurs="0"/>
			<!-- maxOccurs="1" -->
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="RequirementType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier"/>
			<!--  minOccurs="1" maxOccurs="1"  -->
			<xs:element ref="sdg:Name" minOccurs="1" maxOccurs="unbounded"/>
			<!--  minOccurs="1" -->
			<xs:element name="ReferenceFramework" type="sdg:ReferenceFrameworkType" minOccurs="0"
				maxOccurs="unbounded"/>
			<xs:element name="EvidenceTypeList" type="sdg:EvidenceTypeListType" minOccurs="0"
				maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="EvidenceTypeListType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element ref="sdg:Name" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="EvidenceType" type="sdg:EvidenceTypeType" minOccurs="0"
				maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="EvidenceTypeType">
		<xs:sequence>
			<xs:element name="EvidenceTypeClassification" type="xs:string" minOccurs="1" maxOccurs="1"/>
			<!--  minOccurs="1" maxOccurs="1" -->
			<xs:element ref="sdg:Title" minOccurs="1" maxOccurs="unbounded"/>
			<!-- minOccurs="1" maxOccurs="unbounded" -->
			<xs:element ref="sdg:Description" minOccurs="0" maxOccurs="unbounded"/>
			<!-- minOccurs="0" maxOccurs="unbounded"  -->
			<xs:element ref="sdg:Jurisdiction" minOccurs="0" maxOccurs="unbounded"/>
			<!--  minOccurs="0" maxOccurs="unbounded" -->
			<xs:element name="Distribution" type="sdg:DistributionType" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="CodeType">
		<xs:simpleContent>
			<xs:extension base="xs:string"/>
		</xs:simpleContent>
	</xs:complexType>

	<!-- Gender Type inherited from eIDAS -->
	<xs:simpleType name="GenderType">
		<xs:restriction base="xs:string">
			<xs:enumeration value="Male"/>
			<xs:enumeration value="Female"/>
			<xs:enumeration value="Unspecified"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:complexType name="DataServiceType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element ref="sdg:Name" minOccurs="0" maxOccurs="unbounded"/>
			<!-- Included on 2023 q3 release <xs:element ref="sdg:Name" minOccurs="0" maxOccurs="unbounded"/> -->
			<xs:element ref="sdg:ConformsTo"/>
			<!-- minOccurs="1" maxOccurs="unbounded" -->
			<xs:element name="Publisher" type="sdg:EvidenceProviderType" minOccurs="0"/>
			<!-- Cardinality change in 2023 q3 release from minOccurs="1" maxOccurs="1" to minOccurs="0" due to LCM refactored-->
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="DataServiceEvidenceTypeType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier" minOccurs="1" />
			<!-- maxOccurs="1" -->

			<!-- Codelist (URI that point to semantic Repository?) Same as Identifier as of the EB Evidence Type / Authority; OOTS / Semantic Repository -->
			<xs:element name="EvidenceTypeClassification" type="sdg:CodeType" minOccurs="1"
				maxOccurs="1"/>
			<xs:element ref="sdg:Title" minOccurs="1" maxOccurs="unbounded"/>
			<!-- minOccurs="1" maxOccurs="unbounded" -->

			<xs:element ref="sdg:Description" minOccurs="0" maxOccurs="unbounded"/>
			<!-- minOccurs="0" maxOccurs="unbounded" -->

			<xs:element name="DistributedAs" type="sdg:EvidenceTypeDistributionType" minOccurs="1"
				maxOccurs="unbounded"/>

			<xs:element name="AccessService" type="sdg:DataServiceType" minOccurs="0"
				maxOccurs="unbounded"/>

			<!-- Codelist eIDAS Levels Of Assurance -->
			<xs:element name="AuthenticationLevelOfAssurance" type="sdg:CodeType" minOccurs="0"/>
			<!-- maxOccurs="1" -->

			<xs:element ref="sdg:Note" minOccurs="0" maxOccurs="unbounded"/>
			<!-- minOccurs="0" maxOccurs="unbounded" -->

			<!-- Evidence Provider Discovery Filters -->
			<xs:element ref="sdg:EvidenceProviderJurisdictionDetermination" minOccurs="0"/>
			<xs:element ref="sdg:EvidenceProviderClassification"  minOccurs="0" maxOccurs="unbounded"/>

		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="JurisdictionDeterminationType">
		<xs:sequence>
			<xs:element name="JurisdictionContextId" type="sdg:CodeType" minOccurs="1" maxOccurs="1"/>
			<!-- maxOccurs="1"   -->
			<xs:element name="JurisdictionContext" type="sdg:MultilingualStringType" minOccurs="1" maxOccurs="unbounded"/>

			<!-- Codelist Jurisdiction Level (Defined Levels (Country Code, NUTS0, NUTS1, NUTS2, NUTS3, LAU)) / Authority: OOTS -->
			<xs:element name="JurisdictionLevel" type="xs:string" minOccurs="1" maxOccurs="1"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="EvidenceTypeDistributionType">
		<xs:sequence>

			<!-- Codelist OOTS Binary Object Mime Code -->
			<xs:element name="Format" type="sdg:CodeType"/>
			<!-- minOccurs="1" maxOccurs="1" -->

			<!--  OOTS (Semantic Repository) -->
			<xs:element ref="sdg:ConformsTo" minOccurs="0"/>
			<!-- maxOccurs="1"  -->

			<!--  OOTS (Semantic Repository) -->
			<xs:element name="Transformation" type="xs:anyURI" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="EvidenceProviderType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element ref="sdg:Name" minOccurs="1" maxOccurs="unbounded"/>
			<!-- minOccurs="1" maxOccurs="unbounded" -->
			<xs:element ref="sdg:Description" minOccurs="0" maxOccurs="unbounded"/>
			<!-- -->
			<xs:element name="Address" type="sdg:AddressType"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element name="Jurisdiction" type="sdg:JurisdictionType"/>
			<!-- minOccurs="1" maxOccurs="1" -->

			<xs:element name="ClassificationConcept" type="sdg:InformationConceptType" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="AddressType">
		<xs:sequence>
			<xs:element name="FullAddress" type="xs:string" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
			<xs:element name="LocatorDesignator" type="xs:string" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
			<xs:element name="PostCode" type="xs:string" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
			<xs:element name="PostCityName" type="xs:string" minOccurs="0"/>
			<!-- Keep and introduce.  -->
			<xs:element name="Thoroughfare" type="xs:string" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
			<!-- Codelist Country Code ISO 3166 -->
			<xs:element name="AdminUnitLevel1" type="sdg:CodeType"/>
			<!-- maxOccurs="1"  -->

			<!-- Codelist NUTS / Authority: Publication's office -->
			<xs:element name="AdminUnitLevel2" type="sdg:CodeType" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="DistributionType">
		<xs:sequence>

			<!-- Codelist  OOTS Binary Object Mime Code -->
			<xs:element name="Format" type="sdg:CodeType"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<!-- Codelist  ISO 639 -->
			<xs:element ref="sdg:Language" minOccurs="0" maxOccurs="unbounded"/>
			<!-- minOccurs="1"  -->
			<!-- OOTS Semantic Repository -->
			<xs:element ref="sdg:ConformsTo" minOccurs="0"/>
			<!-- maxOccurs="1" -->
			<xs:element name="Transformation" type="xs:anyURI" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
		</xs:sequence>
	</xs:complexType>

	<!-- implemented start and end date, following ubl -->
	<xs:complexType name="PeriodType">
		<xs:sequence>
			<xs:element name="StartDate" type="xs:date"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element name="EndDate" type="xs:date"/>
			<!-- minOccurs="1" maxOccurs="1" -->
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="PersonType">
		<xs:sequence>
			<xs:element name="LevelOfAssurance" type="sdg:CodeType" minOccurs="0" maxOccurs="1"/>
			<!-- inOccurs="0"  -->
			<xs:element ref="sdg:Identifier" minOccurs="0" maxOccurs="1"/>
			<!--  minOccurs="0" maxOccurs="1" -->
			<xs:element name="FamilyName" type="xs:string" minOccurs="1"/>
			<!-- maxOccurs="1" -->
			<xs:element name="GivenName" type="xs:string" minOccurs="1"/>
			<!-- maxOccurs="1" -->
			<xs:element name="DateOfBirth" type="xs:date" minOccurs="1"/>
			<!-- maxOccurs="1";  -->

			<!-- EIDAS Optional MDS -->
			<xs:element name="BirthName" type="xs:string" minOccurs="0"/>
			<!-- maxOccurs="1" -->
			<xs:element name="PlaceOfBirth" type="xs:string" minOccurs="0"/>
			<!-- maxOccurs="1" -->
			<xs:element name="CurrentAddress" type="sdg:AddressType" minOccurs="0"/>
			<!-- maxOccurs="1" -->

			<xs:element name="Gender" type="sdg:GenderType" minOccurs="0"/>
			<!-- maxOccurs="1" -->

			<xs:element name="SectorSpecificAttribute" type="sdg:AttributeKeyValuePairType"
				minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="LegalPersonType">
		<xs:sequence>
			<xs:element name="LevelOfAssurance" type="sdg:CodeType" minOccurs="0" maxOccurs="1"/>
			<!-- minOccurs="0" Codelist eIDAS Levels Of Assurance -->
			<xs:element ref="sdg:Identifier" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="LegalPersonIdentifier" type="sdg:IdentifierType" minOccurs="0"
				maxOccurs="1"/>
			<!-- Schematron rule warning -->
			<xs:element name="LegalName" type="xs:string" minOccurs="1"/>
			<!-- maxOccurs="1" -->
			<xs:element name="RegisteredAddress" type="sdg:AddressType" minOccurs="0"/>
			<!-- maxOccurs="1" -->
			<xs:element name="SectorSpecificAttribute" type="sdg:AttributeKeyValuePairType"
				minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="IdentifierType">

		<xs:simpleContent>
			<xs:extension base="xs:normalizedString">
				<!-- Codelist EAS -->
				<xs:attribute name="schemeID" type="xs:normalizedString"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>

	<xs:complexType name="MultilingualStringType">
		<xs:simpleContent>
			<xs:extension base="xs:normalizedString">
				<!-- Codelist ISO 639 -->
				<xs:attribute name="lang" type="xs:normalizedString"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>

	<xs:complexType name="InformationConceptType">

		<xs:sequence>
			<xs:element name="Identifier" type="sdg:IdentifierType" maxOccurs="1"/>
			<!-- minOccurs="1"  -->

			<!-- Codelist  / Authority: OOTS Semantic Repo or Specifications -->
			<xs:element name="Type" type="sdg:CodeType" minOccurs="0" maxOccurs="1"/>
			<!-- minOccurs="1"  -->
			<xs:element name="ValueExpression" type="xs:string" minOccurs="0"/>
			<!-- maxOccurs="1"  -->
			<xs:element ref="sdg:Description" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="SupportedValue" type="sdg:SupportedValueType" minOccurs="0"
				maxOccurs="1"/>
			<!-- Schematron rule restricts usage in Evidence Request and Classification Concept for Publisher to minOccurs="1" and maxOccurs="1"  -->
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="SupportedValueType">
		<xs:choice>
			<xs:element name="StringValue" type="xs:string" minOccurs="1" maxOccurs="unbounded"/>
			<!-- minOccurs="1" maxOccurs="n"   -->
			<xs:element name="DateValue" type="xs:date" minOccurs="1" maxOccurs="unbounded"/>
			<!-- minOccurs="1" maxOccurs="n"  -->
			<xs:element name="BooleanValue" type="xs:boolean" minOccurs="1" maxOccurs="unbounded"/>
			<!-- minOccurs="1" maxOccurs="n"   -->
			<!-- Could be extended with more. Types that might be included at later stage if we see a need: identfier.integer.decimal.duration.dateTime.date.time.Code,URL,Amount, https://docs.peppol.eu/pracc/espd/codelist/ResponseDataType/  -->
		</xs:choice>
	</xs:complexType>

	<!-- Attribute Key Value Pair, Mimicking the eIDAS structure -->
	<xs:complexType name="AttributeKeyValuePairType">
		<xs:sequence>
			<xs:element name="AttributeName" type="xs:string" minOccurs="1" maxOccurs="1"/>
			<xs:element name="AttributeURI" type="xs:anyURI" minOccurs="1" maxOccurs="1"/>
			<xs:element name="AttributeValue" type="xs:string" minOccurs="1" maxOccurs="1"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="EvidenceType">
		<xs:sequence>
			<xs:element ref="sdg:Identifier"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element name="IsAbout" minOccurs="1">
				<!-- maxOccurs="1" -->
				<xs:complexType>
					<xs:choice>
						<xs:element name="NaturalPerson" type="sdg:PersonType"/>
						<!-- minOccurs="0" maxOccurs="1" -->
						<xs:element name="LegalPerson" type="sdg:LegalPersonType"/>
						<!-- minOccurs="0" maxOccurs="1" -->
					</xs:choice>
				</xs:complexType>
			</xs:element>
			<xs:element name="IssuingAuthority" type="sdg:AgentType" minOccurs="1"/>
			<!--  maxOccurs="1" -->
			<xs:element name="IsConformantTo" type="sdg:EvidenceTypeType"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element name="IssuingDate" type="xs:date"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element name="Distribution" type="sdg:DistributionType"/>
			<!-- minOccurs="1" maxOccurs="1" -->
			<xs:element name="ValidityPeriod" type="sdg:PeriodType" minOccurs="0"/>
			<!--  maxOccurs="1" -->
		</xs:sequence>
	</xs:complexType>


	<!-- Elements typically used in Regrep Messages. -->
	<!-- Codelist  / Authority: ISO or Publication's office -->
	<xs:element name="Language" type="sdg:CodeType"/>
	<xs:element name="Identifier" type="sdg:IdentifierType"/>
	<xs:element name="Description" type="sdg:MultilingualStringType"/>
	<xs:element name="Title" type="sdg:MultilingualStringType"/>
	<xs:element name="Name" type="sdg:MultilingualStringType"/>
	<xs:element name="Note" type="sdg:MultilingualStringType"/>

	<xs:element name="Jurisdiction" type="sdg:JurisdictionType"/>

	<!-- Codelist  / Authority: OOTS Semantic Repo -->
	<xs:element name="ConformsTo" type="xs:anyURI"/>
	<xs:element name="Person" type="sdg:PersonType"/>
	<xs:element name="LegalPerson" type="sdg:LegalPersonType"/>
	<xs:element name="EvidenceType" type="sdg:EvidenceTypeType"/>
	<xs:element name="Agent" type="sdg:AgentType"/>
	<xs:element name="EvidenceRequester" type="sdg:AgentType"/>
	<xs:element name="EvidenceProvider" type="sdg:AgentType"/>

	<xs:element name="Evidence" type="sdg:EvidenceType"/>

	<xs:element name="DataServiceEvidenceType" type="sdg:DataServiceEvidenceTypeType"/>
	<xs:element name="Requirement" type="sdg:RequirementType"/>
	<xs:element name="InformationConcept" type="sdg:InformationConceptType"/>

	<xs:element name="EvidenceProviderJurisdictionDetermination"
		type="sdg:JurisdictionDeterminationType"/>
	<xs:element name="EvidenceProviderClassification" type="sdg:InformationConceptType"/>

	<!-- LCM required elements -->
	<xs:element name="AccessService" type="sdg:DataServiceType"/>
	<xs:element name="Publisher" type="sdg:EvidenceProviderType"/>
	<!-- Element Publisher added in 2023 q3 due to LCM refactored -->

	<xs:element name="EvidenceTypeList" type="sdg:EvidenceTypeListType"/>

	<xs:element name="ReferenceFramework" type="sdg:ReferenceFrameworkType"/>

</xs:schema>
